import org.graphstream.algorithm.generator.Generator;
import org.graphstream.algorithm.generator.RandomGenerator;
import org.graphstream.graph.Graph;
import org.graphstream.graph.implementations.SingleGraph;

public class Dijkstra {


	/**
	 * Méthode de test
	 * @param args arguments
	 */
	public static void main(String[] args) {
		System.setProperty("org.graphstream.ui", "swing");
		Graph g = Dijkstra.getRandomGraph("random", 2, 25);
		g.display();
	}

	private static void dijkstra() {

	}

	private static Graph getRandomGraph(String id, float averageDegree, int nodeCount) {
		Graph g = new SingleGraph(id);
		Generator gen = new RandomGenerator(averageDegree, false, false, "", "length");
		gen.addSink(g);
		gen.begin();
		for(int i = 0; i < nodeCount; ++i)
			gen.nextEvents();
		gen.end();
		gen.removeSink(g);
		return g;
	}

}
